OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class ReparentViaSmb.LightWeightIfEntry

    java.lang.Object
      org.opennms.netmgt.capsd.ReparentViaSmb.LightWeightIfEntry

Enclosing class:
  ReparentViaSmb

private static final class ReparentViaSmb.LightWeightIfEntry
extends java.lang.Object

LightWeightIfEntry is designed to hold specific information about an IP interface in the database such as its IP address, its parent node id, and its managed status and represents a lighter weight version of the DbIpInterfaceEntry class.

Field Summary
`private java.lang.String` `m_address`
`private java.lang.String` `m_hostname`
`private int` `m_nodeId`
`private int` `m_oldNodeId`

Constructor Summary
`ReparentViaSmb.LightWeightIfEntry(java.lang.String address, java.lang.String hostname, int nodeId, int oldNodeId)` Constructs a new LightWeightIfEntry object.

Method Summary
`java.lang.String` `getAddress()` Returns the IP address of the interface.
`java.lang.String` `getHostName()` Returns the IP hostname of the interface.
`int` `getOldParentNodeId()` Returns the old parent node id of the interface.
`int` `getParentNodeId()` Returns the parent node id of the interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_address

    private java.lang.String m_address

### m_hostname

    private java.lang.String m_hostname

### m_nodeId

    private int m_nodeId

### m_oldNodeId

    private int m_oldNodeId

Constructor Detail

### ReparentViaSmb.LightWeightIfEntry

    public ReparentViaSmb.LightWeightIfEntry(java.lang.String address,
                                             java.lang.String hostname,
                                             int nodeId,
                                             int oldNodeId)

  Constructs a new LightWeightIfEntry object.

Parameters:
  `address` - Interface's ip address
  `hostname` - Interface's ip host name
  `nodeId` - Interface's parent node id
  `oldNodeId` - Interface's original parent node id

Method Detail

### getAddress

    public java.lang.String getAddress()

  Returns the IP address of the interface.

### getHostName

    public java.lang.String getHostName()

  Returns the IP hostname of the interface.

### getParentNodeId

    public int getParentNodeId()

  Returns the parent node id of the interface.

### getOldParentNodeId

    public int getOldParentNodeId()

  Returns the old parent node id of the interface.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.